com.holonplatform.jaxrs.spring.boot.internal

## Class DefaultJaxrsClientBuilder

- java.lang.Object
- - com.holonplatform.jaxrs.spring.boot.internal.DefaultJaxrsClientBuilder

- All Implemented Interfaces:
    JaxrsClientBuilder

      public class DefaultJaxrsClientBuilder
      extends Object
      implements JaxrsClientBuilder

  Default `JaxrsClientBuilder` implementation.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJaxrsClientBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomizer(JaxrsClientCustomizer customizer)` Add a `JaxrsClientCustomizer` to customize the `ClientBuilder` instance.
    `javax.ws.rs.client.Client` | `build()` Build a new JAX-RS `Client`.
    `void` | `setFactory(JaxrsClientBuilderFactory factory)` Set the `JaxrsClientBuilderFactory` to use to create the `ClientBuilder` instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJaxrsClientBuilder

          public DefaultJaxrsClientBuilder()

  - ### Method Detail

    - #### build

          public javax.ws.rs.client.Client build()

      Description copied from interface: `JaxrsClientBuilder`
      Build a new JAX-RS `Client`.
      Specified by:
        `build` in interface `JaxrsClientBuilder`
      Returns:
        The JAX-RS `Client` instance

    - #### setFactory

          public void setFactory(JaxrsClientBuilderFactory factory)

      Set the `JaxrsClientBuilderFactory` to use to create the `ClientBuilder` instance.
      Parameters:
        `factory` - the JaxrsClientBuilderFactory to set

    - #### addCustomizer

          public void addCustomizer(JaxrsClientCustomizer customizer)

      Add a `JaxrsClientCustomizer` to customize the `ClientBuilder` instance.
      Parameters:
        `customizer` - The `JaxrsClientCustomizer` to add

Copyright © 2019 The Holon Platform. All rights reserved.